KDirNotify class Reference (kio Library)

| # kio Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KDirNotify Class Reference

An abstract class that receives notifications of added and removed files in any directory, local or remote. More...

`#include <kdirnotify.h>`

Inheritance diagram for KDirNotify:

[legend]
Collaboration diagram for KDirNotify:

[legend]
List of all members.

## DCOP Member Functions
virtual ASYNC | FilesAdded (const KURL &directory)=0
| Notify that files have been added in `directory` Note: this is ASYNC so that it can be used with a broadcast.
virtual ASYNC | FilesRemoved (const KURL::List &fileList)=0
| Notify that files have been deleted.
virtual ASYNC | FilesChanged (const KURL::List &fileList)=0
| Notify that files have been changed.
virtual ASYNC | FileRenamed (const KURL &src, const KURL &dst)
| Notify that a file has been renamed.
## Protected Member Functions
virtual void | virtual_hook (int id, void *data)

## Detailed Description

An abstract class that receives notifications of added and removed files in any directory, local or remote.

The information comes from the konqueror/kdesktop instance where the operation was done, and can interest KDirListers, bookmark handlers, etc.

Definition at line 32 of file kdirnotify.h.

## Member Function Documentation

virtual ASYNC KDirNotify::FilesAdded | ( | const KURL & | directory | ) | `[pure virtual]`

| Notify that files have been added in `directory` Note: this is ASYNC so that it can be used with a broadcast. Implemented in KDirListerCache.

virtual ASYNC KDirNotify::FilesRemoved | ( | const KURL::List & | fileList | ) | `[pure virtual]`

| Notify that files have been deleted. Note: this is ASYNC so that it can be used with a broadcast Implemented in KDirListerCache.

virtual ASYNC KDirNotify::FilesChanged | ( | const KURL::List & | fileList | ) | `[pure virtual]`

| Notify that files have been changed. At the moment, this is only used for new icon, but it could be used for size etc. as well. Note: this is ASYNC so that it can be used with a broadcast Implemented in KDirListerCache.

void KDirNotify::FileRenamed | ( | const KURL & | src,
|  | const KURL & | dst
| ) | `[virtual]`

| Notify that a file has been renamed. Note: this is ASYNC so that it can be used with a broadcast Reimplemented in KDirListerCache. Definition at line 30 of file kdirnotify.cpp.

The documentation for this class was generated from the following files:

- kdirnotify.h
- kdirnotify.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:16:00 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001